petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscOptionsGetAll

Lists all the options the program was run with in a single string.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsGetAll(PetscOptions options,char *copts[])

Not Collective

### Input Paramter

options -the options database, use NULL for the default global database

### Output Parameter

copts -pointer where string pointer is stored

### Notes

The array and each entry in the array should be freed with PetscFree() Each process may have different values depending on how the options were inserted into the database

### See Also

PetscOptionsAllUsed(), PetscOptionsView(), PetscOptionsPush(), PetscOptionsPop()

### Level

advanced

### Location

src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages